Bug 599491 - RHN Satellite fails to provide the checksum value in headers for Packages that are served through RHN Proxy
RHN Satellite fails to provide the checksum value in headers for Packages tha...
Status: CLOSED ERRATA
Product: Red Hat Satellite Proxy 5
Classification: Red Hat
Component: Server (Show other bugs)
530
All Linux
high Severity high
: ---
: ---
Assigned To: Miroslav Suchý
Martin Minar
:
Depends On: 609040 627168
Blocks: sat531-triage
  Show dependency treegraph
 
Reported: 2010-06-03 07:02 EDT by Vishal Gaikwad
Modified: 2016-07-03 20:55 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 609040 (view as bug list)
Environment:
Last Closed: 2010-09-06 08:10:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vishal Gaikwad 2010-06-03 07:02:13 EDT
Description of problem:
Kickstarting a RHEL5 machine through a RHN Proxy 4.2.3 is taking an unusually long time in all regions. The installation will 'pause' at "please wait a moment" screen. This is when we see in the proxy logs that the partial contents are not cached and these partial content requests are retrieved from the satellite server itself. I understand that the version of squid running does not support(does not cache) partial content requests.

It is only when all these partial contents are retrieved from the satellite server, will the installation request for the package itself. This is also when the installation screen changes and you will see the progress bars. When the package itself is requested (not partial content) then we see a TCP_HIT in the proxy logs. From here on the installation is back to normal, in other words, fast.

Version-Release number of selected component (if applicable):
RHN Satellite 4.2.x
RHN Proxy 4.2.x

How reproducible:
Always

Steps to Reproduce:
1. Install a RHEL4 system and setup a RHN Proxy 4.2.x
1.Kickstart a RHEL5 system through the RHN Proxy
2.Monitor the time it takes to fetch the packages
3.Re-kickstart the same system again and see the time it takes to fetch packages
  
Actual results:
NO caching happens

Expected results:
The second install should take less time than the first one.

Additional info:
This does not effect RHEL3/4 kickstarts. This doesn't happen on newer RHNS (530)
Comment 5 Miroslav Suchý 2010-06-03 08:35:58 EDT
taking
Comment 12 Miroslav Suchý 2010-06-29 10:22:35 EDT
see https://bugzilla.redhat.com/show_bug.cgi?id=609040#c1
Cherry-picked to satellite.git as commit 520c280af9227cf189f23a3d466400774ae857d6
Comment 13 Miroslav Suchý 2010-06-29 10:23:45 EDT
Changing summary as the fix is for 5.3
Comment 19 errata-xmlrpc 2010-09-06 08:10:02 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0674.html

Note You need to log in before you can comment on or make changes to this bug.